Jeg havde hørt, at Visual Studio 2005 har kompatibilitetsproblemer med Windows Vista, så jeg var ikke overrasket da jeg fik denne fejlmeddelelse, når jeg forsøgte at køre for første gang. For at løse denne særlige fejlmeddelelse skal du installere SP1-opdateringen, hvilket stort set er servicepakken til servicepakken, jeg tror.

Du kan hente SP1-opdateringen her: http://go.microsoft.com/?linkid=6366078

Efter installationen af ​​denne opdatering fik jeg denne fejlmeddelelse med at sige "Administrator tilladelser anbefales til at køre Visual Studio 2005 SP1" og beder om at bruge indstillingen Kør som administrator ved lancering af Visual Studio.

Efter lidt forskning har du et par muligheder:

  • Kør Visual Studio som administrator (dit bedste bud er at bare skifte genvej til altid at køre som administrator.) Du vil stadig ende med nogle fejl på denne måde.
  • Kør Visual Studio som en normal bruger, og kun åbn den som administrator, hvis du får en bestemt fejl, der kræver administratoradgang.
  • Afkryds kun afkrydsningsfeltet.

Tip! Hvis du forsøger at fejle webprojekter, skal du sørge for at gå til Tilføj / fjern Windows-komponenter i Kontrolpanel og installere IIS6-kompatibiliteten med IIS7-indstillingen, ellers har du ikke meget held.

Samlet set er Visual Studio 2005 bare ikke særlig kompatibel med Vista. Det er frustrerende, men det er livet.

Top Tips:
Kommentarer: